module MvPlugin
  #
  # Plugins for moving (renaming) accounts.
  #

  def MvPlugin.included(c)
    # Callback, called whenever another class or module includes this
    # one. The parameter given is the name of the class or module
    # that included us.
    @includers ||= []
    @includers << c
  end

  def MvPlugin.includers
    return @includers
  end

  def mv_domain(from, to)
    # Rename the given domain.
    raise NotImplementedError
  end

  def mv_account(from, to)
    # Rename the given account.
    raise NotImplementedError
  end

end
