require 'pg'

require 'prune/prune_plugin'
require 'rm/plugins/roundcube'

class RoundcubePrune < RoundcubeRm

  include PrunePlugin


  def get_leftover_domains(db_domains)
    # Roundcube doesn't have a concept of domains. We could parse the
    # usernames to see what domains are present, but the point is
    # moot: all leftover accounts will be pruned anyway.
    return []
  end


  def get_leftover_accounts(db_accounts)
    # Get a list of all users who have logged in to Roundcube.
    rc_accounts = self.list_users()
    return rc_accounts - db_accounts
  end

end
